Bug 190783 - devel/libvirt: configure checks for bhyve are broken
Summary: devel/libvirt: configure checks for bhyve are broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-08 01:59 UTC by Craig Rodrigues
Modified: 2014-07-10 19:22 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Rodrigues freebsd_committer 2014-06-08 01:59:52 UTC
If the BHYVE option is enabled in this port, then the configure check fails:

checking for bhyve... /usr/sbin/bhyve
checking for bhyvectl... /usr/sbin/bhyvectl
checking for bhyveload... /usr/sbin/bhyveload
test: /usr/sbin/bhyvectl: unexpected operator

Peter Krempa has submitted a patch that fixes the problem:
https://www.redhat.com/archives/libvir-list/2014-June/msg00379.html

The patch is not in libvirt yet.

Until the patch is in, I suggest this patch to the configure script
of the port:

--- configure.orig      2014-06-07 18:27:57.809669553 -0700
+++ configure   2014-06-07 18:59:16.891541812 -0700
@@ -62467,7 +62467,7 @@
 
 
 
-        if test -z "$BHYVE" || test -z "$BHYVECTL" \
+        if test -z "$BHYVE" || test -z "$BHYVECTL" || \
             test -z "$BHYVELOAD" || test "$with_freebsd" = "no"; then
             if test "$with_bhyve" = "check"; then
                 with_bhyve="no"
Comment 1 Craig Rodrigues freebsd_committer 2014-06-09 19:34:14 UTC
Over to maintainer.
Comment 2 Jason Helfman freebsd_committer 2014-07-09 21:42:11 UTC
Committed, Thanks!
Comment 3 Craig Rodrigues freebsd_committer 2014-07-09 21:51:56 UTC
Jason,

Roman has a whole pile of fixes to the libvirt
port based on my feedback.  See:

http://lists.freebsd.org/pipermail/freebsd-virtualization/2014-June/002655.html

Can you incorporate those patches?  They greatly improve the usability
of libvirt using bhyve.

--
Craig
Comment 4 Craig Rodrigues freebsd_committer 2014-07-10 19:22:55 UTC
As you have pointed out to me,  I see in your latest commit to bump up the port
to 1.2.6 you have incorporated all of Roman's and my patches.
Cool!
Thank you!!!


Can you incorporate the following small patch
to the virt-manager port:

http://people.freebsd.org/~rodrigc/libvirt/virt-manager.html

It gets virt-manager to work with bhyve, which is kind of nice.


Roman has upstreamed another similar patch to get virt-manager to
work with bhyve.  Unfortunately, this is not yet in a released
version of virt-manager.  To get a newer virt-manager
in our ports system will pull in a lot of dependencies on GNOME3,
which we don't yet have in our ports tree, so it will 


My patch is pretty small, but it gets bhyve working with virt-manager
which is super useful.  If you could incorporate it, that would be great!